/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package postalregion

import (
	e "simrs-vx/internal/domain/main-entities/postal-region"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.PostalRegion) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}
	data.Village_Code = inputSrc.Village_Code
	data.Code = *inputSrc.Code
}
